#include <iostream>
#include <stdio.h>
#define MAX 200000;
using namespace std;

bool moze(int a[] ,int l,int r)
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    bool bilo=false;
    for(int i=l;i<=r-1;i++)
    {
        if(a[i]>a[i+1]&&bilo)
        {
            cout<<"NE"<<endl;
            return false;
        }
        else if(a[i]>a[i+1])
            bilo=true;
    }
    cout<<"DA"<<endl;
        return true;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    int n,q;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    cin>>q;
    for(int i=0;i<q;i++)
    {
        int l,r;
        cin>>l>>r;
        moze(a,l-1,r-1);
    }
    system("pause");
    cin>>n;
    return 0;
}